> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truckaurbus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The attachments on the register that fit this machine



## OpenAPI

````yaml /api-reference/openapi.json get /v1/machines/{slug}/attachments
openapi: 3.1.0
info:
  title: Truckaurbus API
  version: v1
  description: >-
    The public v1 API at https://api.truckaurbus.com/v1. Authenticate with an
    API key in the Authorization header: Bearer tab_live_...
servers:
  - url: https://api.truckaurbus.com
security: []
paths:
  /v1/machines/{slug}/attachments:
    get:
      tags:
        - v1
      summary: The attachments on the register that fit this machine
      operationId: identity_api_v1_machine_attachments
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            title: Slug
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AttachmentOut'
                title: Response
                type: array
          description: OK
components:
  schemas:
    AttachmentOut:
      properties:
        capacity_m3:
          anyOf:
            - type: number
            - type: 'null'
          title: Capacity M3
        carrier_max_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Carrier Max Kg
        carrier_min_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Carrier Min Kg
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        fits_classes:
          default: []
          items:
            type: string
          title: Fits Classes
          type: array
        flow_lpm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Flow Lpm
        id:
          title: Id
          type: integer
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        impact_energy_j:
          anyOf:
            - type: integer
            - type: 'null'
          title: Impact Energy J
        kind:
          title: Kind
          type: string
        lifecycle:
          title: Lifecycle
          type: string
        manufacturer:
          $ref: '#/components/schemas/RefOut'
        name:
          title: Name
          type: string
        pressure_bar:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pressure Bar
        price_as_of:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Price As Of
        price_high_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price High Inr
        price_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price Inr
        price_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Kind
        published_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Published At
        slug:
          title: Slug
          type: string
        verified_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Verified At
        weight_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Weight Kg
        width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width Mm
      required:
        - id
        - slug
        - name
        - kind
        - manufacturer
        - lifecycle
      title: AttachmentOut
      type: object
    RefOut:
      properties:
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
      title: RefOut
      type: object

````